Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class FeatureKey

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.FeatureKey

    public class FeatureKey

extends Object

Stores a triple of an extractor ID, a feature value (derived from history) and a y (tag) value. Used to compute a feature number in the loglinear model.

Author:
  Kristina Toutanova

Constructor Summary
`` | `FeatureKey()`
`protected` | `FeatureKey(int num, String val, String tag)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`protected void` | `read(DataInputStream inf)`
`protected void` | `save(OutDataStreamFile f)`
`protected void` | `set(int num, String val, String tag)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureKey

    public FeatureKey()

### FeatureKey

    protected FeatureKey(int num,
                         String val,
                         String tag)

Method Detail

### set

    protected void set(int num,
                       String val,
                       String tag)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### save

    protected void save(OutDataStreamFile f)

### read

    protected void read(DataInputStream inf)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group